Last Comment Bug 15867 - Exclude certain items from the script-generated charset menus
: Exclude certain items from the script-generated charset menus
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P3 major (vote)
: M13
Assigned To: cata
: Teruko Kobayashi
Mentors:
Depends on:
Blocks: 20761
  Show dependency treegraph
 
Reported: 1999-10-08 13:39 PDT by Katsuhiko Momoi
Modified: 2000-01-25 17:09 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Katsuhiko Momoi 1999-10-08 13:39:27 PDT
** Observed with M10 final candidate: 10/6/99 Win32 **

The new script-generated charset menus pick up all the charsets
in our source. Some are not needed for the charset UI. This bug
has been filed as a reminder to exlcude them from the charset
menu. I'm planning to include a list of non-UI charsets to
be exlcuded from the UI charset list in the general charet UI
document. For now, the following 6 are the ones I notice on the
menu I can see under Windows.

T.61-8bit
UTF32-LE/BE
UTF16-LE/BE
x-imap-modified-utf7

There may be others. I'll add them if I notice others.
Comment 1 Katsuhiko Momoi 1999-10-08 13:54:59 PDT
Others I see on the Mac are:

x-u-escaped
x-obsoleted-EUC-JP
x-obsoleted-ISO-2022-JP
x-obsoleted-Shift_JIS
Comment 2 cata 2000-01-13 15:57:59 PST
Fixed. Please specify the files you want excluded in:
mozilla/intl/uconv/src/charsetData.properties
Comment 3 Katsuhiko Momoi 2000-01-14 02:12:59 PST
Please explain why the following 3 are in the exclusion list:

x-user-defined
x-viet-tcvn
ibm866

The last two are currently in the menu. The first is something
we should be putting in the menu in the near future. CP866 in
particular has been requested by IBM.
Comment 4 cata 2000-01-14 13:52:59 PST
My fault. Fixed and will check in when tree opens.
Comment 5 Teruko Kobayashi 2000-01-25 17:09:10 PST
I verified this in 2000012513 Linux 2000012402 Mac and 2000012402 Win32 build.

Note You need to log in before you can comment on or make changes to this bug.